Fish_JuKunEggCFG = {}

function Fish_JuKunEggCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Fish_JuKunEggCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Type = 1, MinimumScore = 120, MaximumScore = 180, RandomMinimum = 5, RandomMaximum = 10, weight = 20, Resource = "M_X_Gold3"}
	self.datas[2] = {ID = 2, Type = 1, MinimumScore = 180, MaximumScore = 240, RandomMinimum = 5, RandomMaximum = 10, weight = 30, Resource = "M_X_Gold3"}
	self.datas[3] = {ID = 3, Type = 1, MinimumScore = 240, MaximumScore = 300, RandomMinimum = 5, RandomMaximum = 10, weight = 60, Resource = "M_X_Gold4"}
	self.datas[4] = {ID = 4, Type = 1, MinimumScore = 300, MaximumScore = 360, RandomMinimum = 5, RandomMaximum = 10, weight = 30, Resource = "M_X_Gold4"}
	self.datas[5] = {ID = 5, Type = 1, MinimumScore = 360, MaximumScore = 420, RandomMinimum = 5, RandomMaximum = 10, weight = 15, Resource = "M_X_Gold5"}
	self.datas[6] = {ID = 6, Type = 1, MinimumScore = 420, MaximumScore = 480, RandomMinimum = 5, RandomMaximum = 10, weight = 10, Resource = "M_X_Gold5"}
	self.datas[7] = {ID = 7, Type = 1, MinimumScore = 480, MaximumScore = 720, RandomMinimum = 5, RandomMaximum = 10, weight = 5, Resource = "M_X_Gold6"}
	self.datas[8] = {ID = 8, Type = 2, MinimumScore = 800, MaximumScore = 800, RandomMinimum = 150, RandomMaximum = 250, weight = 100, Resource = "icon_kunbi"}
end

Fish_JuKunEggCFG:init()
